{% extends 'base.html' %}
{% load static %}


{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">


{% endblock css %}

{% block title %}

<h1>Tareas de: <strong>{{solicitud.alumno.name}}</strong> </h1>

{% endblock title %}

{% block content %}

<div class="row">
	<div class="col-md-5">
		<div class="card type--profile">
			<header class="card-heading card-background" id="card_img_01">
				<img src="{{solicitud.alumno.img.url}}" alt="" class="img-circle ">
			</header>
			<div class="card-body">
				<h3 class="name">{{solicitud.alumno.name}}</h3>
				<span class="title">Practicante en <strong>{{solicitud.empresa.nombre}}</strong></span>
			</div>
			<footer class="card-footer border-top">
				<div class="row row p-t-10 p-b-10">
					<div class="col-xs-4"><span class="count">12</span><span>Semanas Completadas</span></div>
					<div class="col-xs-4"><span class="count">3</span><span>Semanas Faltantes</span></div>
					<div class="col-xs-4"><span class="count">340</span><span>Horas Completadas</span></div>
				</div>
			</footer>
		</div>
	</div>
	<div class="col-md-7">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Tareas sin Revisar</h2>
			</header>
			<div class="card-body" style="height: 325px">
				<div class="row">
					<div class="col-md-12">
						<ul class="list-group p-0">
							{% for x in solicitud.practica.week_practica_set.all %}
								{% for y in x.task_set.all %}
								{% if y.retro_set.all.count  != 0 and y.status == 0 %}
								<li class="list-group-item ">
									<div class="list-group-item-body">
										<div class="pull-right">
											<button data-obs="{{y.retro_set.all.0.description}}" data-pk="{{y.pk}}" data-toggle="modal" data-target="#modal_tareas" class="btn modal-button btn-sm btn-warning">Revisar Tarea</button>
										</div>
										<div class="list-group-item-heading">Semana {{x.number}}</div>
										<div class="list-group-item-text">{{y.name}}</div>
									</div>
								</li>
								{% endif %}
								{% endfor %}
							{% endfor %}
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Últimos FeedBacks al Alumno</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<div class="tab-content">
							<div class="tab-pane fadeIn active" id="profile-timeline">
								{% for x in solicitud.practica.week_practica_set.all %}
								{% for y in x.task_set.all %}
								{% for z in y.comments_set.all %}
								<div class="row">
									<div class="col-xs-12 col-sm-11 col-sm-offset-1">
										<article>
											<div class="card card-comment" data-timeline="text">
												<div class="card-body">
													<div class="row">
														<div class="col-md-10">
															<h3>Semana {{x.number}} - Tarea: {{y.name}}</h3>
															<p><stronng>{{x.autor}}</stronng>{{z.texto}}</p>
														</div>
														<div class="col-md-2">
															<img src="assets/img/profiles/02.jpg" alt="" class="img-circle img-sm pull-left m-r-10">
															<h2 class="card-title m-t-5">{{feedback.author.name}}</h2>
															<ul class="card-actions icons right-top">
																<li>
																	<span style="color:white" class="label label-primary">Postulación</span>
																</li>
															</ul>

														</div>
													</div>
												</div>
											</div>
										</article>
									</div>
								</div>
								{% endfor %}
								{% endfor %}
								{% endfor %}
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- modal block -->

        <div class="modal fade" id="modal_tareas" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" style="color:white" id="titulo-proyecto">Retroalimentación de la Tarea</h1>
				</div>
				<div class="modal-body">
					<div class="row">
						<form action="{% url 'retro_al_tarea' %}" method="post">
						{% csrf_token %}
						<input type="number" value="0" name="pk_tarea" id="pk_tarea" style="display:none;">
						<div class="col-md-12">
							<div class="form-group">
								<label for="" class="control-label">Observación del Alumno: </label>
								<div id="obs" name="obs" class="well">
									
								</div>
							</div>
							<div class="form-group">
								<label for="status_tarea" class="control-label">Estado de la Tarea: </label>
								<select name="status_tarea" id="status_tarea" class="form-control">
									<option selected value="0">Pendiente</option>
									<option value="1">Terminada</option>
								</select>
							</div>
							<div class="form-group">
								<label for="retro_tarea" class="control-label">Retroalimentación: </label>
								<textarea required class="form-control" name="retro_tarea" id="retro_tarea" rows="5"></textarea>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="row">
						<div class="col-md-6">
							<button type="submit" class="btn btn-blue btn-block"><i class="fa fa-check"></i></button>
						</form>
						</div>
						<div class="col-md-6">
							<button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-times"></i></button>
						</div>
					</div>
				</div>
            </div>
          </div>
        </div>

<!-- end modal block -->


{% endblock content %}


{% block javascript %}

<script>

$(document).ready(function(){
	$('#modal_tareas').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget) // Button that triggered the modal
		var pk = button.data('pk') // Extract info from data-* attributes
		var obs = button.data('obs') // Extract info from data-* attributes
		$("#pk_tarea").val(pk);
		$("#obs").text(obs);
	}); 
});

</script>

{% endblock javascript %}